[ARVADOS] updated: 4f6d03f8329ec63704f6830c56b95be939b38d30

git at public.curoverse.com git at public.curoverse.com
Fri Feb 28 17:58:40 EST 2014


Summary of changes:
 sdk/cli/bin/crunch-job |   11 +++++++----
 1 files changed, 7 insertions(+), 4 deletions(-)

       via  4f6d03f8329ec63704f6830c56b95be939b38d30 (commit)
      from  1b8615efd89707d02ea9de1d95e9e2a26b0436cc (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 4f6d03f8329ec63704f6830c56b95be939b38d30
Author: Tom Clegg <tom at curoverse.com>
Date:   Fri Feb 28 14:58:28 2014 -0800

    Do not try to extract git archive if none was provided by calling process.

diff --git a/sdk/cli/bin/crunch-job b/sdk/cli/bin/crunch-job
index e3d0c1d..9892ba4 100755
--- a/sdk/cli/bin/crunch-job
+++ b/sdk/cli/bin/crunch-job
@@ -1373,10 +1373,13 @@ open STDOUT, ">", "$destdir.log";
 open STDERR, ">&STDOUT";
 
 mkdir $destdir;
-open TARX, "|-", "tar", "-C", $destdir, "-xf", "-";
-print TARX <DATA>;
-if(!close(TARX)) {
-  die "'tar -C $destdir -xf -' exited $?: $!";
+my @git_archive_data = <DATA>;
+if (@git_archive_data) {
+  open TARX, "|-", "tar", "-C", $destdir, "-xf", "-";
+  print TARX @git_archive_data;
+  if(!close(TARX)) {
+    die "'tar -C $destdir -xf -' exited $?: $!";
+  }
 }
 
 my $pwd;

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list